[
{
    blockid=proxy;
    help=service_http_proxy_proxy;
    localvar={
        .adminproxy.text="\u5141\u8a31\u7ba1\u7406\u4ee3\u7406\u7a0b\u5f0f\u8a8d\u8b49";
	.delimiter="$";
	.allow.help="\u7576\u4e00\u500b (\u5e38\u99d0\u7a0b\u5f0f,\u7528\u6236\u7aef) \u5c0d\u7b26\u5408 \"\u5141\u8a31\" \u7be9\u9078\u6642\uff0c\u5c07\u6388\u8207\u4ee3\u7406\u7a0b\u5f0f\u8a8d\u8b49\u3002";
	.allow.header="\u5141\u8a31";
	.allow.title="\"\u5141\u8a31\" \u7be9\u9078\u689d\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    editui=allowdialog;
	    addtitle=$.allow.title;
	    edittitle=$.allow.title;
	    val=$proxydomainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_proxy_allowdialog;
    localvar={
	.allowrule.help="\"\u5141\u8a31\" \u7be9\u9078\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]

